Bug 550731 - Regression: LANG vs. LC_ALL fails "make check"
Summary: Regression: LANG vs. LC_ALL fails "make check"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sed
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-27 04:00 UTC by Robert Scheck
Modified: 2015-02-01 22:50 UTC (History)
5 users (show)

Fixed In Version: sed-4.2.1-5.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-25 22:30:36 UTC
Type: ---


Attachments (Terms of Use)

Description Robert Scheck 2009-12-27 04:00:51 UTC
Description of problem:
If LC_ALL is set to C, the tests utf8-1, utf8-2, utf8-3 and utf8-4 are
failing for me all the time. Interestingly, it doesn't matter what LANG
is set to. Changing LC_ALL to the same LANG contains (and as long as it
isn't C), the whole stuff works as expected. I'm seeing this issue with
a Fedora 13 (development tree). Things do not fail within standard mock,
only outside if you've LC_ALL=C.

Version-Release number of selected component (if applicable):
sed-4.2.1-4

How reproducible:
Everytime, see above.

Actual results:
Once LC_ALL=C, "make check" fails.

Expected results:
The "make check" shouldn't fail as it didn't in previous versions.

Additional info:
I've sent the patch upstream for upstream inclusion, too:

--- snipp ---
--- sed-4.2.1/testsuite/Makefile.tests          2009-06-25 20:55:35 +0200
+++ sed-4.2.1/testsuite/Makefile.tests.locale   2009-12-27 04:29:03 +0100
@@ -51,10 +51,10 @@
 # Try with ru_RU.UTF-8.  If it is presumably not installed, see if the current
 # locale is UTF-8 and run it in the current locale.
 utf8-1 utf8-2 utf8-3 utf8-4::
-       echo "LANG=ru_RU.UTF-8" \
+       echo "LANG=ru_RU.UTF-8 LC_ALL=ru_RU.UTF-8" \
          "$(TIME) $(SED) -f $(srcdir)/$@.sed" \
          "< $(srcdir)/$@.inp | $(TR) -d \\r > $@.out"; \
-       LANG=ru_RU.UTF-8 \
+       LANG=ru_RU.UTF-8 LC_ALL=ru_RU.UTF-8 \
          $(TIME) $(SED) -f $(srcdir)/$@.sed \
                < $(srcdir)/$@.inp | $(TR) -d \\r > $@.out; \
        $(CMP) $(srcdir)/$@.good $@.out && exit 0; \
--- snapp ---

Comment 1 Paolo Bonzini 2010-01-08 15:06:00 UTC
This is fixed in upstream git.

Comment 2 Bug Zapper 2010-03-15 13:42:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Update System 2010-03-22 13:24:24 UTC
sed-4.2.1-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/sed-4.2.1-5.fc13

Comment 4 Fedora Update System 2010-03-22 13:25:30 UTC
sed-4.2.1-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/sed-4.2.1-5.fc12

Comment 5 Fedora Update System 2010-03-23 23:18:22 UTC
sed-4.2.1-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sed'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/sed-4.2.1-5.fc13

Comment 6 Fedora Update System 2010-03-25 22:30:27 UTC
sed-4.2.1-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-03-27 00:59:55 UTC
sed-4.2.1-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.